# cwltool.env_to_stdout

Python script that acts like (GNU coreutils) env -0.

When run as a script, it prints the the environment as (VARNAME=value0)*.

Ideally we would just use env -0, because python (thanks to PEPs 538 and 540) will set zero to two environment variables to better handle Unicode-locale interactions, however BSD family implementations of env do not all support the -0 flag so we supply this script that produces equivalent output.

## Functions

`deserialize_env`(data) | Deserialize the output of env -0 to dictionary.
`main`() | Print the null-separated environment to stdout.

## Module Contents

cwltool.env_to_stdout.deserialize_env(data)

  Deserialize the output of env -0 to dictionary.

  Parameters:

    data (str)

  Return type:

    dict[str, str]

cwltool.env_to_stdout.main()

  Print the null-separated environment to stdout.

  Return type:

    None